<?php
$manifest = array(
  'acceptable_sugar_flavors' => array(),
  'acceptable_sugar_versions' => array(
    'regex_matches' => array (
      0 => '6\.5\.*',
      1 => '7\.*\.*',
      2 => '8\.0\.*',
      3 => '8\.*\.*',
      4 => '9\.*\.*',
      5 => '10\.*\.*',
    ),
  ),
  'is_uninstallable' => true,
  'name' => 'INBOX25',
  'description' => 'INBOX25 Business Growth Platform',
  'author' => 'INBOX25',
  'published_date' => '2020-05-31',
  'version' => '5.6.0',
  'type' => 'module',
  'icon' => ''
);

$installdefs = array(
  'id'=> 'Inbox25',
  'copy'=> array(
    array(
      'from' => '<basepath>/addon/modules/Iframeapp',
      'to' => 'modules/Iframeapp',
    ),
    array(
      'from' => '<basepath>/addon/custom/icons/default/images/sugar7-ic.png',
      'to' => 'themes/default/images/sugar7-ic.png',
    ),
    array(
      'from' => '<basepath>/addon/custom/icons/default/images/sugar7-ic.png',
      'to' => 'styleguide/assets/img/sugar7-ic.png',
    ),
    array(
      'from' => '<basepath>/addon/include/custom.less',
      'to' => 'custom/themes/custom.less',
    ),
    array(
      'from' => '<basepath>/addon/custom/SugarModules/Accounts/clients/base/layouts/record/record.php',
      'to' => 'custom/modules/Accounts/clients/base/layouts/record/record.php',
    ),
    array(
      'from' => '<basepath>/addon/custom/SugarModules/Administration/Inbox25.php',
      'to' => 'custom/modules/Administration/Inbox25.php',
    ),
    array(
      'from' => '<basepath>/addon/custom/SugarModules/Leads/clients/base/layouts/record/record.php',
      'to' => 'custom/modules/Leads/clients/base/layouts/record/record.php',
    ),
    array(
      'from' => '<basepath>/addon/custom/SugarModules/Contacts/clients/base/layouts/record/record.php',
      'to' => 'custom/modules/Contacts/clients/base/layouts/record/record.php',
    ),
    array(
      'from' => '<basepath>/addon/custom/SugarModules/Campaigns/WizardNewsletter.php',
      'to' => 'custom/modules/Campaigns/WizardNewsletter.php',
    ),
    array(
      'from' => '<basepath>/addon/custom/SugarModules/Campaigns/tpls/WizardHomeStart.tpl',
      'to' => 'custom/modules/Campaigns/tpls/WizardHomeStart.tpl',
    ),
    array(
      'from' => '<basepath>/addon/custom/SugarModules/Opportunities/clients/base/layouts/record/record.php',
      'to' => 'custom/modules/Opportunities/clients/base/layouts/record/record.php',
    ),
    array(
      'from' => '<basepath>/addon/custom/SugarModules/Prospects/clients/base/layouts/record/record.php',
      'to' => 'custom/modules/Prospects/clients/base/layouts/record/record.php',
    ),
    array(
      'from' => '<basepath>/addon/custom/clients/base/api/Inbox25UserApi.php',
      'to' => 'custom/clients/base/api/Inbox25UserApi.php',
    ),
    array(
      'from' => '<basepath>/addon/custom/clients/base/views/inbox25/inbox25.hbs',
      'to' => 'custom/clients/base/views/inbox25/inbox25.hbs',
    ),
    array(
      'from' => '<basepath>/addon/custom/clients/base/views/inbox25/inbox25.js',
      'to' => 'custom/clients/base/views/inbox25/inbox25.js',
    ),
    array(
      'from' => '<basepath>/addon/custom/clients/base/views/inbox25/inbox25.php',
      'to' => 'custom/clients/base/views/inbox25/inbox25.php',
    ),
    array(
      'from' => '<basepath>/addon/modules/Import/controller.php',
      'to' => 'custom/modules/Import/controller.php',
    ),
    array(
      'from' => '<basepath>/addon/inboxview',
      'to' => 'custom/clients/base/layouts/inboxview',
    ),
    array(
      'from' => '<basepath>/addon/custom/Extension/application/Ext/EntryPointRegistry/inbox25_url.php',
      'to' => 'custom/Extension/application/Ext/EntryPointRegistry/inbox25_url.php',
    ),
    array(
      'from' => '<basepath>/addon/custom/Extension/modules/Administration/Ext/Language/en_us.Inbox25.php',
      'to' => 'custom/Extension/modules/Administration/Ext/Language/en_us.Inbox25.php',
    ),
    array(
      'from' => '<basepath>/addon/custom/Extension/modules/AOR_Reports/Ext/Language/en_us.Inbox25.php',
      'to' => 'custom/Extension/modules/AOR_Reports/Ext/Language/en_us.Inbox25.php',
    ),
    array(
      'from' => '<basepath>/addon/custom/Extension/modules/AOR_Reports/Ext/Menus/inbox25.php',
      'to' => 'custom/Extension/modules/AOR_Reports/Ext/Menus/inbox25.php',
    ),
    array(
      'from' => '<basepath>/addon/custom/Extension/modules/Campaigns/Ext/clients/base/menus/header/inbox25links.php',
      'to' => 'custom/Extension/modules/Campaigns/Ext/clients/base/menus/header/inbox25links.php',
    ),
    array(
      'from' => '<basepath>/addon/custom/Extension/modules/Campaigns/Ext/Menus/inbox25.php',
      'to' => 'custom/Extension/modules/Campaigns/Ext/Menus/inbox25.php',
    ),
    array(
      'from' => '<basepath>/addon/custom/Extension/modules/Reports/Ext/clients/base/menus/header/inbox25links.php',
      'to' => 'custom/Extension/modules/Reports/Ext/clients/base/menus/header/inbox25links.php',
    ),
    array(
      'from' => '<basepath>/addon/custom/themes/SuiteP/css/style.css',
      'to' => 'custom/themes/SuiteP/css/style.css',
    ),
  ),
  'custom_fields' => array (
    array(
      'name' => 'inbox25_score_c',
      'label' => 'INBOX25 Lead Score',
      'type' => 'int',
      'module' => 'Leads',
      'help' => 'INBOX25 Score Field',
      'comment' => 'INBOX25 Score Field',
      'default_value' => '0',
      'required' => false,
      'reportable' => true,
      'audited' => false,
      'importable' => 'true',
      'duplicate_merge' => false,
    ),
    array(
      'name' => 'inbox25_score_c',
      'label' => 'INBOX25 Lead Score',
      'type' => 'int',
      'module' => 'Accounts',
      'help' => 'INBOX25 Score Field',
      'comment' => 'INBOX25 Score Field',
      'default_value' => '0',
      'required' => false,
      'reportable' => true,
      'audited' => false,
      'importable' => 'true',
      'duplicate_merge' => false,
    ),
    array(
      'name' => 'inbox25_score_c',
      'label' => 'INBOX25 Lead Score',
      'type' => 'int',
      'module' => 'Contacts',
      'help' => 'INBOX25 Score Field',
      'comment' => 'INBOX25 Score Field',
      'default_value' => '0',
      'required' => false,
      'reportable' => true,
      'audited' => false,
      'importable' => 'true',
      'duplicate_merge' => false,
    ),
    array(
      'name' => 'inbox25_score_c',
      'label' => 'INBOX25 Lead Score',
      'type' => 'int',
      'module' => 'Prospects',
      'help' => 'INBOX25 Score Field',
      'comment' => 'INBOX25 Score Field',
      'default_value' => '0',
      'required' => false,
      'reportable' => true,
      'audited' => false,
      'importable' => 'true',
      'duplicate_merge' => false,
    ),
  ),
  'logic_hooks' => array(
    array(
      'module' => 'Contacts',
      'hook' => 'after_save',
      'order' => 101,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Contacts',
      'hook' => 'after_delete',
      'order' => 102,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Leads',
      'hook' => 'after_save',
      'order' => 101,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Leads',
      'hook' => 'after_delete',
      'order' => 102,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Accounts',
      'hook' => 'after_save',
      'order' => 101,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Accounts',
      'hook' => 'after_delete',
      'order' => 102,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Opportunities',
      'hook' => 'after_save',
      'order' => 101,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Opportunities',
      'hook' => 'after_delete',
      'order' => 102,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Tasks',
      'hook' => 'after_save',
      'order' => 101,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Tasks',
      'hook' => 'after_delete',
      'order' => 102,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Meetings',
      'hook' => 'after_save',
      'order' => 101,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Meetings',
      'hook' => 'after_delete',
      'order' => 102,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Calls',
      'hook' => 'after_save',
      'order' => 101,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Calls',
      'hook' => 'after_delete',
      'order' => 102,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Cases',
      'hook' => 'after_save',
      'order' => 101,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Cases',
      'hook' => 'after_delete',
      'order' => 102,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Contracts',
      'hook' => 'after_save',
      'order' => 101,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Contracts',
      'hook' => 'after_delete',
      'order' => 102,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Quotes',
      'hook' => 'after_save',
      'order' => 101,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Quotes',
      'hook' => 'after_delete',
      'order' => 102,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Users',
      'hook' => 'after_save',
      'order' => 101,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Prospects',
      'hook' => 'after_save',
      'order' => 101,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Prospects',
      'hook' => 'after_delete',
      'order' => 102,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'ProspectLists',
      'hook' => 'after_save',
      'order' => 101,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'ProspectLists',
      'hook' => 'after_delete',
      'order' => 102,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'ProspectLists',
      'hook' => 'after_relationship_add',
      'order' => 106,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'ProspectLists',
      'hook' => 'after_relationship_delete',
      'order' => 107,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
  ),
  'post_uninstall' => array(
    '<basepath>/post_uninstall.php'
  ),
  'beans'=> array(
    array(
      'module' => 'Iframeapp',
      'class' => 'Iframeapp',
      'path' => 'modules/Iframeapp/Iframeapp.php',
      'tab' => true,
    )
  ),
  'language'=> array(
    array(
      'from' => '<basepath>/language/application/iframeapp-en_us.lang.php',
      'to_module' => 'application',
      'language' =>'en_us'
    ),
    array(
      'from' => '<basepath>/addon/custom/Extension/modules/Campaigns/Ext/Language/en_us.Inbox25.php',
      'to_module' => 'Campaigns',
      'language' =>'en_us'
    ),
    array(
      'from' => '<basepath>/addon/custom/Extension/modules/Reports/Ext/Language/en_us.Inbox25.php',
      'to_module' => 'Reports',
      'language' =>'en_us'
    )
  ),
  'administration' => array(
    array(
      'from' => '<basepath>/addon/custom/Extension/modules/Administration/Ext/Administration/Inbox25.php',
    ),
  ),
  'platforms' => array(
    array(
      'from' => '<basepath>/addon/custom/Extension/application/Ext/Platforms/inbox25.php',
    ),
    array(
      'from' => '<basepath>/addon/custom/Extension/application/Ext/Platforms/leadfwd.php',
    )
  )
);
