<?php
require_once('modules/Administration/QuickRepairAndRebuild.php');
$repair = new RepairAndClear();
$repair->repairAndClearAll(array('clearAll'), array('All Modules'), TRUE, FALSE);

// remove INBOX25 config.
require_once('modules/Configurator/Configurator.php');
$configurator = new Configurator();
$configurator->loadConfig();
$configurator->config['inbox25'] = array(
  'url' => '',
  'height' => '',
);
$configurator->saveConfig();
echo "INBOX25 Configuration Removed <br />" . PHP_EOL;

// remove the footerTpl information to the detail view metadata for all
// supported modules
// (inverse of code in the post_install.php)
require_once('modules/ModuleBuilder/parsers/ParserFactory.php');
$footerTpl = 'modules/Iframeapp/OtherModuleTpls/DetailView.tpl';
$modules_to_support = array(
  'Accounts',
  'Contacts',
  'Leads',
  'Opportunities',
  'Prospects',
);
foreach($modules_to_support as $module) {
  $view_array = ParserFactory::getParser('detailview', $module);
  if(!empty($view_array->_viewdefs['templateMeta']['form']['footerTpl'])) {
    $existing_value = $view_array->_viewdefs['templateMeta']['form']['footerTpl'];
    if($existing_value == $footerTpl) {
      $view_array->_viewdefs['templateMeta']['form']['footerTpl'] = '';
      $view_array->handleSave(false);
      echo "INBOX25 Update: {$module} had the INBOX25 footerTpl based record-view integration removed.<br />" . PHP_EOL;
    }
  }
}
